package digital.laboratory.platform.inspection.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.inspection.dto.EntrustInfoDto;
import digital.laboratory.platform.inspetion.api.entity.EntrustInfo;

import java.util.List;

/*
 *@title EntrustInfoService
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/7 15:31
 */
public interface EntrustInfoService extends IService<EntrustInfo> {
    EntrustInfo addEntrustInfo(EntrustInfoDto entrustInfo);//添加委托信息
    EntrustInfo updateEntrustInfo(EntrustInfo entrustInfo);//修改委托信息
    Boolean deleteEntrustInfo(String id);//删除委托信息
    IPage<EntrustInfo> getEntrustPageList(Page page,Integer status, EntrustInfo entrustInfo, String keywords);
    List<EntrustInfo> getEntrustList(EntrustInfo entrustInfo);
    Boolean checkExist(String id);

    boolean checkRepeatNo(String accept,String id);
}
